# osgprerendercubemap.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/Matrix>`
`#include <osg/Quat>`
`#include <osg/StateSet>`
`#include <osg/TextureCubeMap>`
`#include <osg/TexGen>`
`#include <osg/TexMat>`
`#include <osg/TexEnvCombine>`
`#include <osg/ShapeDrawable>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/MatrixTransform>`
`#include <osgUtil/RenderToTextureStage>`
`#include <osgUtil/Optimizer>`
`#include <osgUtil/TransformCallback>`
`#include <osgDB/ReadFile>`
`#include <osgDB/Registry>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgProducer/Viewer>`
`#include <iostream>`
`#include <string>`
`#include <vector>`

Include dependency graph for osgprerendercubemap.cpp:

## Defines

#define | UPDATE_ONE_IMAGE_PER_FRAME 1
#define | CUBEMAP_FILENAME(face) "Cubemap_axis/" #face ".png"

## Functions

osg::Drawable * | makeGeometry ()
osg::Node * | createPreRenderSubGraph (osg::Node *subgraph)
osg::Node * | createReferenceSphere ()
int | main (int argc, char **argv)

## Define Documentation

#define CUBEMAP_FILENAME | ( | face |  | ) | "Cubemap_axis/" #face ".png"

#define UPDATE_ONE_IMAGE_PER_FRAME 1

## Function Documentation

osg::Node* createPreRenderSubGraph | ( | osg::Node * | subgraph | ) |

osg::Node* createReferenceSphere | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

osg::Drawable* makeGeometry | ( |  | ) |